<?php
// START CONTACT SECTION 
$wp_customize->add_section(
	'appoi_section',
	array(
		'title'         => __( 'Appointment Section', 'Luzuk Premium' ), 
		'panel'   => 'luzuk_premium_home_panel',
	)
);
    //ENABLE/DISABLE CONTACT SECTION
$wp_customize->add_setting(
	'appoi_disable',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'appoi_disable',
		array(
			'settings'      => 'appoi_disable',
			'section'       => 'appoi_section',
			'label'         => __( 'Disable Section', 'Luzuk Premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'Luzuk Premium' ),
				'off' => __( 'No', 'Luzuk Premium' )
			)   
		)
	)
);


backgroundManager($wp_customize, 'appointment', 'appoi_section', $color='#F6E8DA', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'appoi_sectionnpadding', 'appoi_section', 'Section Padding ');

$wp_customize->add_setting(
    'appoinmentsection_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'appoinmentsection_toppadding',
    array(
        'settings'      => 'appoinmentsection_toppadding',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Top ', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'appoinmentsection_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'appoinmentsection_bottompadding',
    array(
        'settings'      => 'appoinmentsection_bottompadding',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Bottom ', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'app_detailbg', 'appoi_section', 'Section Left Box');

$wp_customize->add_setting(
    'appheading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Get In Touch' )
    )
);
$wp_customize->add_control(
    'appheading',
    array(
        'settings'      => 'appheading',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Heading', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'appsubheading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'For More Info' )
    )
);
$wp_customize->add_control(
    'appsubheading',
    array(
        'settings'      => 'appsubheading',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Sub Heading', 'Luzuk' )
    )
);


$wp_customize->add_setting(
    'infphtxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '+000 111 222' )
    )
);
$wp_customize->add_control(
    'infphtxt',
    array(
        'settings'      => 'infphtxt',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Phone Number', 'Luzuk' )
    )
);


$wp_customize->add_setting(
    'infemiltxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'abcinfo@yourmail.com' )
    )
);
$wp_customize->add_control(
    'infemiltxt',
    array(
        'settings'      => 'infemiltxt',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Email Id', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'inftxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2847 N Henderson Ave United States' )
    )
);
$wp_customize->add_control(
    'inftxt',
    array(
        'settings'      => 'inftxt',
        'section'       => 'appoi_section',
        'type'          => 'textarea',
        'label'         => __( 'Address Text', 'Luzuk' )
    )
);

lzCustomLable($wp_customize, 'app_dlhsbcclr', 'appoi_section', 'Left Side Box Color');

addColorPalatOption($wp_customize, 'inquiry_lftboxheadingclr', 'appoi_section', 'Heading Color', '#332102');

addColorPalatOption($wp_customize, 'inquiry_lftboxsubheadingclr', 'appoi_section', 'Sub Heading Color', '#543602');

addColorPalatOption($wp_customize, 'inquiry_boxbgclr', 'appoi_section', 'Box BG Color', '#543602');

addColorPalatOption($wp_customize, 'inquiry_boxbgcurveshapeclr', 'appoi_section', 'Bottom Curve Shape BG Color', '#f9cda0');

addColorPalatOption($wp_customize, 'inquiry_imgbrdclr', 'appoi_section', 'Image Border Color', '#F6E8DA');

// phone
lzCustomLable($wp_customize, 'app_dlhsphclr', 'appoi_section', 'Field Color');

addColorPalatOption($wp_customize, 'inquiry_btntxticnclr', 'appoi_section', 'Icon Color', '#543602');

addColorPalatOption($wp_customize, 'inquiry_btntxticnbgclr', 'appoi_section', 'Icon BG Color', '#FCE9C4');

addColorPalatOption($wp_customize, 'inquiry_btntxtclr', 'appoi_section', 'Phone No, Email And Address Text Color', '#F6E8DA');

addColorPalatOption($wp_customize, 'inquiry_btntxthvclr', 'appoi_section', 'Phone No And Email Text Hover Color', '#D88E2D');

lzCustomLable($wp_customize, 'app_formbg', 'appoi_section', 'Section Right Box');

backgroundManager($wp_customize, 'app_formbg1', 'appoi_section', $color='#f9cda0', get_template_directory_uri().'/images/app-bg.jpg', 'color');

lzCustomLable($wp_customize, 'app-secheading', 'appoi_section', 'Form Heading ');

$wp_customize->add_setting(
    'appform_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Contact Us', 'luzuk' )
    )
);
$wp_customize->add_control(
    'appform_maintitle',
    array(
        'settings'      => 'appform_maintitle',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Form Heading ', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'app_secheadingclr', 'appoi_section', 'Form Heading Color', '#F6E8DA');

addColorPalatOption($wp_customize, 'app_secheadingbgclr', 'appoi_section', 'Form Heading BG Color', '#543602');

// ===========Form Section ==========//

lzCustomLable($wp_customize, 'contactf', 'appoi_section', 'Form Section');


lzCustomLable($wp_customize, 'appointmentright_Form_label', 'appoi_section', 'Contact Inquiry Form Shortcode');

lzAddElement($wp_customize, 'luzuk_inquiry_shortcode', 'appoi_section', 'textarea', $label="Form Shortcode", 'luzuk_sanitize_text', '[your shortcode]');


addColorPalatOption($wp_customize, 'inquiry_forminputtxtClr', 'appoi_section', 'Form Input Text / Placeholder Color', '#8B8A87');

addColorPalatOption($wp_customize, 'inquiry_forminputtxbgtClr', 'appoi_section', 'Form Input Placeholder BG Color', '#F6E8DA');

addColorPalatOption($wp_customize, 'inquiry_forminputbgColor', 'appoi_section', 'Form Input Border Color', '#543602');

addColorPalatOption($wp_customize, 'inquiry_formlabelColor', 'appoi_section', 'Form Label Color', '#000');

addColorPalatOption($wp_customize, 'inquiry_formbuttontextColor', 'appoi_section', 'Form Button Text Color', '#F6E8DA');

addColorPalatOption($wp_customize, 'inquiry_formbuttontexthoverColor', 'appoi_section', 'Form Button Text Hover Color', '#543602');

addColorPalatOption($wp_customize, 'inquiry_formbuttonbgColor', 'appoi_section', 'Form Button BG Color', '#543602');

addColorPalatOption($wp_customize, 'inquiry_formbuttonbghoverColor', 'appoi_section', 'Form Button BG Hover Color', '#D88E2D');